# MysqlndUhConnection::selectDb

(PECL mysqlnd-uh >= 1.0.0-alpha)

MysqlndUhConnection::selectDb — Selects the default database for database queries

### Description

public MysqlndUhConnection::selectDb ( mysqlnd_connection `$connection` , string `$database` ) : bool

Selects the default database for database queries.

### Parameters

`connection`

  Mysqlnd connection handle. Do not modify!

`database`

  The database name.

### Return Values

Returns `TRUE` on success. Otherwise, returns `FALSE`

### Examples

Example #1 MysqlndUhConnection::selectDb() example

`<?php
class proxy extends MysqlndUhConnection {
public function selectDb($res, $database) {
printf("%s(%s)\n", __METHOD__, var_export(func_get_args(), true));
$ret = parent::selectDb($res, $database);
printf("%s returns %s\n", __METHOD__, var_export($ret, true));
return $ret;
}
}
mysqlnd_uh_set_connection_proxy(new proxy());
$mysqli = new mysqli("localhost", "root", "", "test");
$mysqli->select_db("mysql");
?>`

The above example will output:

    proxy::selectDb(array (
      0 => NULL,
      1 => 'mysql',
    ))
    proxy::selectDb returns true

### See Also

- mysqlnd_uh_set_connection_proxy() - Installs a proxy for mysqlnd connections
- mysqli_select_db() - Selects the default database for database queries
- mysql_select_db() - Select a MySQL database